# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetColumns_args

Packages that use TCLIService.GetColumns_args
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TCLIService.GetColumns_args in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TCLIService.GetColumns_args in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncProcessor.GetColumns<I extends TCLIService.AsyncIface>`
`static class`
`TCLIService.Processor.GetColumns<I extends TCLIService.Iface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TCLIService.GetColumns_args
Modifier and Type
Class
Description
`static class`
`TCLIService.GetColumns_args`
`static class`
`TCLIService.GetColumns_args`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TCLIService.GetColumns_args
Modifier and Type
Method
Description
`TCLIService.GetColumns_args`
TCLIService.GetColumns_args.`deepCopy()`
`TCLIService.GetColumns_args`
TCLIService.AsyncProcessor.GetColumns.`getEmptyArgsInstance()`
`TCLIService.GetColumns_args`
TCLIService.Processor.GetColumns.`getEmptyArgsInstance()`
`TCLIService.GetColumns_args`
TCLIService.GetColumns_args.`setReq(TGetColumnsReq req)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCLIService.GetColumns_args
Modifier and Type
Method
Description
`int`
TCLIService.GetColumns_args.`compareTo(TCLIService.GetColumns_args other)`
`boolean`
TCLIService.GetColumns_args.`equals(TCLIService.GetColumns_args that)`
`TCLIService.GetColumns_result`
TCLIService.Processor.GetColumns.`getResult(I iface, TCLIService.GetColumns_args args)`
`void`
TCLIService.AsyncProcessor.GetColumns.`start(I iface, TCLIService.GetColumns_args args, org.apache.thrift.async.AsyncMethodCallback<TGetColumnsResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TCLIService.GetColumns_args
Modifier
Constructor
Description
``
`GetColumns_args(TCLIService.GetColumns_args other)`
Performs a deep copy on other.